# FloppyEmuDiskIIEnclosure
Project to create an 3D-printed custom enclosure for the "Big Mess of Wires" FloppyEmu (a SD card disk drive emulator for the Apple II). The custom enclosure is shaped like Apple's historic "Disk II" drive, which Apple introduced in 1978.

## Description
This project contains SCAD design files & STL files, stickers, KiCad PCB design, to create a 3D printed enclosure for a [FloppyEmu](https://www.bigmessowires.com/floppy-emu/). The enclosure is like the historic "Disk II" drive, which Apple introduced in 1978 for the Apple II.

![Final1](/resources/Final1.jpg?raw=true)
![Final2](/resources/Final2.jpg?raw=true)

## Design
The 3D design is done with OpenSCAD. All files are available in the [scad](/scad/) folder. SCAD provides
You can also find a number of ready-to-use STL files in the [stl](/stl/) folder.

![3D-Design2](/resources/3D_Design2.png?raw=true)
![3D-Design4](/resources/3D_Design4.png?raw=true)
![3D-Design3](/resources/3D_Design3.png?raw=true)

## Button Panel
You will also need a button panel, so you can control FloppyEmu from the front panel. You can create the panel using a perfboard - or use the PCB design files to order a printed circuit board.
You'll find schematics and also a KiCad PCB design project in the [pcb](/pcb/) folder.

![ButtonPanel1](/resources/ButtonPanel1.png?raw=true)
![ButtonPanel2](/resources/ButtonPanel2.png?raw=true)
![ButtonPanel3](/resources/ButtonPanel3.jpg?raw=true)
![ButtonPanel4](/resources/ButtonPanel4.png?raw=true)
